<ion-header>
  <ion-toolbar color="primary">
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/seller/list"></ion-back-button>
    </ion-buttons>
    <ion-buttons slot="end">
      <ion-button (click)="signOut()">
        <ion-icon slot="icon-only" name="log-out"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Create Product</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="form" (ngSubmit)="create()">
    <div class="product-image ion-text-center">
      <ion-row>
        <ion-col size="6" *ngFor="let img of images; let i = index;" class="ion-text-center">
          <img [src]="img" />
        </ion-col>
      </ion-row>
      <ion-button type="button" expand="full" fill="clear" (click)="selectImage()">
        Select product image
      </ion-button>
    </div>

    <ion-item>
      <ion-label position="stacked">Name</ion-label>
      <ion-input formControlName="name"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Price</ion-label>
      <ion-input formControlName="price"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Description</ion-label>
      <ion-textarea rows="6" formControlName="desc"></ion-textarea>
    </ion-item>

    <ion-button
      type="submit"
      expand="block"
      class="ion-padding-horizontal ion-margin-vertical"
      [disabled]="!form.valid"
    >
      Save
    </ion-button>
  </form>
</ion-content>
